﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ShotDestroyer : MonoBehaviour
{
    private Type destroyer;
    private Type destroyee;

    public void Start()
    {
        var enemy = GetComponentInParent<IEnemy>();
        if (enemy is object)
        {
            destroyer = typeof(IEnemy);
            destroyee = typeof(IPlayer);
        }
        else
        {
            destroyer = typeof(IPlayer);
            destroyee = typeof(IEnemy);
        }
    }

    public void OnTriggerEnter(Collider other)
    {
        Collide(other.gameObject);
    }

    public void OnParticleCollision(GameObject other)
    {
        Collide(other);
    }

    private void Collide(GameObject other)
    {
        var destroyeeInstance = other.GetComponent(destroyee);
        if (destroyeeInstance is object)
        {
            if (destroyee == typeof(IPlayer))
            {
                // TODO: who knows
                return;
            }
            Destroy(other.gameObject);
        }
    }
}
