﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpaceshipController : MonoBehaviour, IPlayer
{
    public Rect Bounds;
    public float Speed;

    private new Rigidbody rigidbody;

    public void Start()
    {
        rigidbody = GetComponent<Rigidbody>();
    }

    public void FixedUpdate()
    {
        var vertical = Input.GetAxis("Vertical");
        var horizontal = Input.GetAxis("Horizontal");

        var pos = rigidbody.position;
        pos.x = Mathf.Clamp(pos.x + horizontal * Speed, Bounds.xMin, Bounds.xMax);
        pos.z = Mathf.Clamp(pos.z + vertical * Speed, Bounds.yMin, Bounds.yMax);
        rigidbody.position = pos;
    }
}
